App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | List of all members
mhr.appcore.commands.toolcommands.SelectToolCommand Class Reference

Třída zapouzdřující výběr nástroje. More...

Inheritance diagram for mhr.appcore.commands.toolcommands.SelectToolCommand:

## Public Member Functions
| SelectToolCommand (Tool tool)
| Výchozí kontruktor.
void | action (AppCore target)
| Akce, která se má po spuštění provést.
void | dispose ()
void | setPDFeedback (PDFeedback f)
| Nastaví zpětnou vazbu, která má být provedena po vykonání příkazu.
void | setPDExceptionFeedback (PDFeedback ef)
| Nastaví zpětnou vazbu, která má být provedena v případě neodchycené výjimky, která nastala při vykonávání příkazu.
void | execute (AppCore target)
| Zpustí provedení příkazu na dané instanci jádra aplikace.

## Public Attributes
RuntimeException | e = null
| Výjimka, která nastale běhěm vykonávání příkazu. Bude nastavena pouze, pokud exceptionFeedback != null.

## Protected Attributes
Tool | tool
| Nástroj, který má být vybrán.
PDFeedback | feedback = null
| Platformě závislá zpětná vazba, která má být spuštěna po provedení příkazu.
PDFeedback | exceptionFeedback = null
| Platformě závislá zpětná vazba, která má být spuštěna, pokud při provádění příkazu dojde k RuntimeException, později pravděpodobně bude omezeno.

## Detailed Description

Třída zapouzdřující výběr nástroje.

Definition at line 9 of file SelectToolCommand.java.

## Constructor & Destructor Documentation

mhr.appcore.commands.toolcommands.SelectToolCommand.SelectToolCommand | ( | Tool | tool | ) |
| inline

Výchozí kontruktor.

Parameters

  tool | Nástroj, který má být nastaven.

Definition at line 17 of file SelectToolCommand.java.

{
this.tool = tool;
}

## Member Function Documentation

void mhr.appcore.commands.toolcommands.SelectToolCommand.action | ( | AppCore | target | ) |
| inlinevirtual

Akce, která se má po spuštění provést.

Parameters

  target |

< Zastavení je nutné, protože změna nástroje znamená zavolání jeho dispose(), ale nástroj slouží jako callback pro renderování. Navíc se při výměně volá submit(), pokud by náhodou byla akce rozpracovaná.

Implements mhr.appcore.commands.AppCommand.

Definition at line 22 of file SelectToolCommand.java.

{
synchronized (this) {
target.getRenderer().susepnd(this);
try {
this.wait();
} catch (InterruptedException e) {
}
try {
target.setTool(tool);
} finally {
target.getRenderer().wake(this);
target.getRenderer().render();
}
}
}

void mhr.appcore.commands.toolcommands.SelectToolCommand.dispose | ( |  | ) |
| inline

Definition at line 39 of file SelectToolCommand.java.

{
if (tool != null) {
tool.dispose();
tool = null;
}
}

void mhr.appcore.commands.AppCommand.execute | ( | AppCore | target | ) |
| inlineinherited

Zpustí provedení příkazu na dané instanci jádra aplikace.

Parameters

  target |

Definition at line 34 of file AppCommand.java.

{
try {
action(target);
} catch (RuntimeException e) {
if (exceptionFeedback != null) {
this.e = e;
exceptionFeedback.feedback();
return;
} else {
throw e;
}
}
if (feedback != null) {
feedback.feedback();
}
}

void mhr.appcore.commands.AppCommand.setPDExceptionFeedback | ( | PDFeedback | ef | ) |
| inlineinherited

Nastaví zpětnou vazbu, která má být provedena v případě neodchycené výjimky, která nastala při vykonávání příkazu.

Parameters

  ef |

Definition at line 26 of file AppCommand.java.

{
this.exceptionFeedback = ef;
}

void mhr.appcore.commands.AppCommand.setPDFeedback | ( | PDFeedback | f | ) |
| inlineinherited

Nastaví zpětnou vazbu, která má být provedena po vykonání příkazu.

Parameters

  f |

Definition at line 18 of file AppCommand.java.

{
this.feedback = f;
}

## Member Data Documentation

RuntimeException mhr.appcore.commands.AppCommand.e = null
| inherited

Výjimka, která nastale běhěm vykonávání příkazu. Bude nastavena pouze, pokud exceptionFeedback != null.

Definition at line 12 of file AppCommand.java.

PDFeedback mhr.appcore.commands.AppCommand.exceptionFeedback = null
| protectedinherited

Platformě závislá zpětná vazba, která má být spuštěna, pokud při provádění příkazu dojde k RuntimeException, později pravděpodobně bude omezeno.

Definition at line 10 of file AppCommand.java.

PDFeedback mhr.appcore.commands.AppCommand.feedback = null
| protectedinherited

Platformě závislá zpětná vazba, která má být spuštěna po provedení příkazu.

Definition at line 9 of file AppCommand.java.

Tool mhr.appcore.commands.toolcommands.SelectToolCommand.tool
| protected

Nástroj, který má být vybrán.

Definition at line 11 of file SelectToolCommand.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/commands/toolcommands/SelectToolCommand.java